import type { Arguments } from '../bridge';
import type { HeapLogger } from '../logger';
import { SourceInfo } from './types';
export declare function sanitizeProperties(properties: any | null | undefined, logger: HeapLogger, logSource: string | undefined): Record<string, string> | null;
export declare function isNonEmptyString(value: any): value is string;
export declare function sanitizeSourceInfo(source: SourceInfo | null | undefined, logger: HeapLogger, logSource: string | undefined): Arguments | null;
export declare function sanitizeTimestamp(value: Date | null | undefined, logger: HeapLogger, logSource: string | undefined): number | null;
