export type Options = Record<string, any> | {
    baseUrl?: string;
};
export type PropertyValue = number | string | boolean | bigint;
export type Properties = Record<string, PropertyValue>;
export interface SourceInfo {
    name: string;
    version: string;
    platform: string;
    properties?: Properties;
}
export declare function isPropertyValue(value: any): value is PropertyValue;
